Skip to main content
GET
List agents

Authorizations

Authorization
string
header
required

Your DUST API key is a Bearer token.

Path Parameters

wId
string
required

ID of the workspace

Query Parameters

view
enum<string>

The view to use when retrieving agents:

  • all: Retrieves all non-private agents (default if not authenticated)
  • list: Retrieves all active agents accessible to the user (default if authenticated)
  • published: Retrieves all agents with published scope
  • global: Retrieves all global agents
  • favorites: Retrieves all agents marked as favorites by the user (only available to authenticated users)
Available options:
all,
list,
workspace,
published,
global,
favorites
withAuthors
enum<string>

When set to 'true', includes recent authors information for each agent

Available options:
true,
false

Response

Agent configurations for the workspace

agentConfigurations
object[]

Array of agent configurations, optionally including lastAuthors if withAuthors=true